import os
from setuptools import find_packages, setup

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='django-ct-useragents',
    version='0.1.2',
    packages=find_packages(),
    install_requires=[
          'django-ipware==2.0.0',
      ],
    include_package_data=True,
    license='BSD License',
    description='A simple Django app to track IP and User Agent info.',
    long_description=README,
    url='https://cascadiantech.com/',
    author='Cascadian Tech LLC',
    author_email='anthony@cascadiantech.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Framework :: Django :: 1.10',  
        'Framework :: Django :: 1.11',  
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',  
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)
